<?php

use EventPortal\Domain\Agenda\Models\Pathway;
use EventPortal\Domain\Event\Models\Event;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Pathway::class, static function (Faker $faker) {
    return [
        'name' => $faker->word,
        'description' => $faker->words(4, true),
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
    ];
});

$factory->state(Pathway::class, 'default', function (): array {
    return [
        'name' => Pathway::DEFAULT,
    ];
});
