<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Util\Sidebar\Facades\Sidebar;
use EventPortal\Domain\Util\Sidebar\Link;

Sidebar::make('event.show')
    ->title('Manage your event')
    ->addLinks(function (Event $event) {
        return [
            Link::make('Event Venues')
                ->icon('map-pin')
                ->route('admin.event.venue.index', [
                    'event' => $event->id,
                ]),
            Link::make('Event Speakers')
                ->icon('microphone')
                ->route('admin.event.speaker.index', [
                    'event' => $event->id,
                ]),
            Link::make('Event Delegates')
                ->icon('user-plus')
                ->route('admin.event.delegate.index', [
                    'event' => $event->id,
                ])
                ->permission('event.show'),
            Link::make('Agenda')
                ->icon('clock')
                ->route('admin.agenda.index', [
                    'event' => $event->id,
                ])
                ->permission('agenda.show'),
            Link::make('Event Emails')
                ->icon('email')
                ->route('admin.email.index', [
                    'event' => $event->id,
                ])
                ->permission('email.show'),
            Link::make('Event Sign Ins')
                ->icon('map-pin')
                ->route('admin.event.venue.index', [
                    'event' => $event->id,
                ])
                ->permission('event.view-sign-ins'),
            Link::make('Forms')
                ->icon('form')
                ->route('admin.form.index', [
                    'event' => $event->id,
                ]),
            Link::make('Meeting Approval')
                ->icon('check')
                ->route('admin.event.approval.index', [
                    'event' => $event->id,
                ])
                ->permission('event.can-send-for-approval'),
        ];
    });
