<?php

namespace EventPortal\Domain\Speaker\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;
use Illuminate\Support\Arr;

class UpdateAddress
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $payload
            ->getContext('speaker')
            ->address
            ->update($this->getAddressFromInput($payload->getInput()));

        return $next($payload);
    }

    /**
     * Use a nested address if it is present.
     */
    private function getAddressFromInput(array $input): array
    {
        if (Arr::has($input, 'address')) {
            return Arr::get($input, 'address');
        }

        return $input;
    }
}
